﻿@inject IViewLocalizer Localizer
@using Microsoft.AspNetCore.Mvc.Localization
@model IS4SSO.STS.Identity.ViewModels.Manage.ShowRecoveryCodesViewModel
@{
    ViewData["Title"] = Localizer["Title"];
}

<h4>@ViewData["Title"]</h4>
<div class="alert alert-warning" role="alert">
    <p>
        <span class="fa fa-exclamation-triangle"></span>
        <strong>@Localizer["SubTitle"]</strong>
    </p>
    <p>
        @Localizer["Info"]
    </p>
</div>
<div class="row">
    <div class="col-md-12">
        @for (var row = 0; row < Model.RecoveryCodes.Length; row += 2)
        {
            <code>@Model.RecoveryCodes[row]</code><text>&nbsp;</text><code>@Model.RecoveryCodes[row + 1]</code><br />
        }
    </div>
</div>